> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all SKUs org-wide

> Returns a paginated list of SKUs across all styles for the organisation, in the same enriched shape as the style-scoped route (nested color/size objects, resolved customFields, lowest applicable prices). Filter by styleId, state, colorId and sizeId. Supports cursor-based and page-based pagination. cursor is mutually exclusive with filter/pageSize/pageNumber.



## OpenAPI

````yaml https://service.my.delogue.com/openapi/external.json get /api/skus
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/skus:
    get:
      tags:
        - StyleSkus
      summary: Get all SKUs org-wide
      description: >-
        Returns a paginated list of SKUs across all styles for the organisation,
        in the same enriched shape as the style-scoped route (nested color/size
        objects, resolved customFields, lowest applicable prices). Filter by
        styleId, state, colorId and sizeId. Supports cursor-based and page-based
        pagination. cursor is mutually exclusive with
        filter/pageSize/pageNumber.
      parameters:
        - name: StyleId
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: State
          in: query
          schema:
            $ref: '#/components/schemas/SkuState'
        - name: ColorId
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: SizeId
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: pageSize
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: pageNumber
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStyleSkuDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStyleSkuDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStyleSkuDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    SkuState: {}
    ApiPaginatedResponseOfStyleSkuDto:
      required:
        - status
        - code
        - data
        - pagination
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/StyleSkuDto'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ApiResponseStatus: {}
    StyleSkuDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        number:
          type: string
        state:
          $ref: '#/components/schemas/SkuState'
        barcode:
          type:
            - 'null'
            - string
        barcodeId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        styleId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        color:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleColorDto'
        size:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SkuSizeDto'
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/SkuCustomFieldDto'
        prices:
          type: array
          items:
            $ref: '#/components/schemas/SkuPriceDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    PaginationInfo:
      required:
        - hasMore
        - cursor
      type: object
      properties:
        hasMore:
          type: boolean
        cursor:
          type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    StyleColorDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId1:
          type:
            - 'null'
            - string
        customId2:
          type:
            - 'null'
            - string
        state:
          type:
            - 'null'
            - string
      additionalProperties: false
    SkuSizeDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        sizeId:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/SizeState'
      additionalProperties: false
    SkuCustomFieldDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId1:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
      additionalProperties: false
    SkuPriceDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        variantType:
          $ref: '#/components/schemas/PriceVariantTypeDto'
        futureDate:
          type:
            - 'null'
            - string
          format: date-time
        brandComments:
          type:
            - 'null'
            - string
        supplierComments:
          type:
            - 'null'
            - string
        futurePriceBrandComments:
          type:
            - 'null'
            - string
        futurePriceSupplierComments:
          type:
            - 'null'
            - string
        priceNegotiations:
          type: array
          items:
            $ref: '#/components/schemas/PriceNegotiationDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    SizeState: {}
    CustomFieldValueDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    PriceVariantTypeDto: {}
    PriceNegotiationDto:
      type: object
      properties:
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        futurePrice:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        priceCalculation:
          $ref: '#/components/schemas/PriceCalculationDto'
      additionalProperties: false
    PriceCalculationDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        ref:
          type: string
        name:
          type:
            - 'null'
            - string
        type:
          $ref: '#/components/schemas/TypeOfCalculationDto'
        currency:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PriceCalculationCurrencyDto'
        formula:
          type:
            - 'null'
            - string
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    TypeOfCalculationDto: {}
    PriceCalculationCurrencyDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        code:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false

````